Package org.eclipse.birt.report.engine.api

# Class ComponentID

java.lang.Object
org.eclipse.birt.report.engine.api.ComponentID

public class ComponentID extends Object
a class that wraps around an identifier for a report component

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`componentID`

## Constructor Summary

Constructors
Constructor
Description
`ComponentID()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getID()`
Get an identifier for a report component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### componentID

protected long componentID

## Constructor Details

### ComponentID

public ComponentID()

## Method Details

### getID

public long getID()
Get an identifier for a report component.

Returns:
  componentID